Não consigo atualizar a versão do Flatpak no meu ChromeOS

Olá! Estou com dificuldades para atualizar a minha versão do Flatpak.

Recentemente resolvi instalar o Kdenlive para brincar um pouco com a edição de vídeos, já tinha feito o mesmo processo com o GIMP e tinha dado tudo certo (aliás, eu até consegui atualizar o GIMP sem problemas para a versão mais nova, a 2.10.12), mas quando tentei executar o comando “sudo flatpak install flathub org.kde.kdenlive” eu recebi uma mensagem de erro dizendo que eu preciso da versão mais estável do Flatpak (0.11.4).

Fui então tentar atualizar a minha versão do Flatpak, abri o terminal novamente e executei o comando “sudo apt-get update && sudo apt-get upgrade flatpak”. No final, ele disse que eu já estava na última versão do Flatpak (0.8.9-0+deb9u3).

Depois disso, pensei que deveria atualizar alguma coisa antes de atualizar o Flatpak ou que isso resolveria o problema, então dei o mesmo comando para procurar e atualizar alguma coisa que estivesse precisando “sudo apt-get update && sudo apt-get upgrade”, mas também não havia nada para atualizar.

Meu sistema operacional também está na versão mais atual, a 75.0.3770.129 (64 bits), no canal estável.

Não sei mais o que posso fazer, se alguém souber ou precisar de mais informações, agradeço.

Isso é um problema de repositório desatualizado. No meu Arch Linux:

[carlos@ArchCarlos ~]$ flatpak --version
Flatpak 1.4.2

Não uso ChromeOS, mas esse tópico indica para você editar o arquivo /etc/apt/sources.list.d/cros.list com o nano ou outro editor de texto, trocar o número de versão do Chrome OS que tá lá pela versão atual do SO.

1 Curtida

Vlw pela dica @Capezotte, mas esse projeto Crostini é diferente. Até onde eu sei (leia-se: leigo) eu instalei o Linux pelo menu de configurações, tudo bem simples e direto, assim o Linux fica meio que à parte do resto do sistema. Ele tá lá, mas eu posso desligar ele (sem afetar em nada o resto do sistema) ou até mesmo desinstalar com um botão.
35

Eu consegui instalar e aprender alguns comandos com esse tutorial do Android Police (talvez esse tutorial em si explique melhor como é do que eu).


PS: Eu procurei esse arquivo, mas não consegui achar, acho que ele é só para os que instalaram com o Crostini. Também estou na versão estável mais atual do SO.

1 Curtida

Ah, esqueci de comentar, mas a minha versão do Flatpak é mesmo a 0.8.9, usei esse comando flatpak --version e apresentou isso Flatpak 0.8.9

1 Curtida

Você possui o arquivo /etc/apt/sources.list?

1 Curtida

Eu procurei o nome “sources.list” e não achei no explorador de arquivos. Tentei também abrir essa pasta com o cd mas também acusa não existir diretório com esse nome.

1 Curtida

Tente rodar esses comandos:

add-apt-repository 'deb http://deb.debian.org/debian stretch-backports main contrib non-free'
add-apt-repository 'deb-src http://deb.debian.org/debian stretch-backports main contrib non-free'

O tutorial do Android Police informa que o Chrome OS roda um Debian 9 compartimentado dentro do Linux (beta), então estou seguindo a Wiki do Debian e um tutorial desse S.O. .

Consegui executar o primeiro comando sudo add-apt-repository 'deb http://deb.debian.org/debian stretch-backports main contrib non-free', mas o segundo ele diz que é inválido

Esse primeiro comando deve ser o suficiente para obter os pacotes binários atualizados (o segundo é de códigos-fonte). Que que ocorre com sudo apt update && sudo apt upgrade?

1 Curtida

Ele fala que o repositório não possui os últimos arquivos.


PS: Eu digitei “streatch” ou invés de “stretch”, acho que esse foi o erro

Você digitou stretch-backports certinho? Eu vejo streatch-backports aí.

Se você digitou errado, desfaça o erro:
sudo add-apt-repository -r 'deb http://deb.debian.org/debian streatch-backports main contrib non-free'

E faça de novo o comando:
sudo add-apt-repository 'deb http://deb.debian.org/debian stretch-backports main contrib non-free'

1 Curtida

Certo, desfiz o erro e dessa vez digitei certo o comando, mas ainda aparece que não há nada para ser atualizado.

1 Curtida

Nesse caso acho melhor esperar a Google lançar uma atualização que mova o Linux (Beta) para o Debian 10. Guia que informa como vai ser a atualização.

(Eu acho que fazer isso vai quebrar alguma coisa) A não se quiser arriscar fazer um add-apt-repository para antecipar a movida para o Debian 10: sudo add-apt-repository 'deb http://deb.debian.org/debian buster main contrib non-free'

Mesmo se não for forçar a ida pro Buster, recomendo retirar o stretch-backports com sudo add-apt-repository -r 'deb http://deb.debian.org/debian stretch-backports main contrib non-free' até lá

3 Curtidas

Certo, acho melhor esperar mesmo, também não quero me arriscar a corromper algo.

Vlw pela ajuda @Capezotte! :grin:

tu não consegue instalar .deb’s no chromeOS? se sim pode instalar o .deb do flatpak atualizado
http://ftp.br.debian.org/debian/pool/main/f/flatpak/flatpak_1.2.4-1_amd64.deb

2 Curtidas

Sim, posso instalar aplicativos .deb, mas esse não. Simplesmente ocorreu um “erro durante a instalação do aplicativo Linux”.

Acho que vou procurar mais sobre no Reddit e ver o que o pessoal tem a dizer.

Obrigado @fastos2016!

1 Curtida